Name:          audacious
Version:       3.4.3
Release:       1mamba
Summary:       Media player which uses a skinned interface
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://audacious-media-player.org/index.php?title=Main_Page
Source:        http://distfiles.audacious-media-player.org/audacious-%{version}.tar.bz2
Source1:       AbsoluteE_Xmms.zip
Source2:       bmXmms.zip
Source3:       AlmondCopper1-1.wsz
Patch0:        audacious-1.5.1-xmms-skins.patch
Patch1:        audacious-1.5.1-default-skins.patch
Patch2:        audacious-1.2.1-relative-links.patch
Patch3:        audacious-1.4.2-id3tag-close-file.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: audacious-plugins-alsa
BuildRequires: audacious-plugins-jack
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libICE-devel
BuildRequires: libmcs-devel >= 0.7.0
BuildRequires: libmowgli-devel
BuildRequires: libpango-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libogg-devel
BuildRequires: libflac-devel
BuildRequires: libalsa-devel
BuildRequires: libvorbis-devel
BuildRequires: libneon-devel 
BuildRequires: desktop-file-utils
BuildRequires: chrpath
BuildRequires: libglade-devel
BuildRequires: gtk-doc
BuildRequires: unzip
BuildRequires: libmusicbrainz-devel
BuildRequires: libcurl-devel
BuildRequires: libcdio-devel
BuildRequires: libmodplug-devel
BuildRequires: libid3-devel
BuildRequires: libmusepack-devel
BuildRequires: libesound-devel
BuildRequires: libvisual-devel
BuildRequires: libSDL-devel
BuildRequires: libtag-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: GConf-devel
BuildRequires: lirc-devel
BuildRequires: libsndfile-devel
BuildRequires: libsidplay-devel
BuildRequires: libXext-devel
BuildRequires: libXt-devel
BuildRequires: libjack-devel
Requires: audacious-plugins-alsa
Requires: audacious-plugins-jack
Requires: audacious-plugins-skins
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Development files for Audacious.

%prep
%setup -q
# Read xmms skins directory
#%patch0 -p1 -b .xmms-skins
# Use AbsoluteE as default skin
#%patch1 -p1 -b .default-skin
# Relative symlink paths
#%patch2 -p1 -b .relative-links
# Filename id3tag
#%patch3 -p1 -b .id3tag-close-file

%build
%configure   --prefix=%{_prefix} \
             --datadir=%{_datadir} \
             --enable-samplerate \
             --enable-ipv6 \
	     --enable-chardet

##    --disable-dependency-tracking \
##    --disable-gnome-vfs \
##    --disable-rpath \
%make GLIB_LIBS="`pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0`"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
chrpath -d %{buildroot}%{_bindir}/*

mkdir -p %{buildroot}%{_datadir}/xmms/Skins
for skin in %{S:1} %{S:2} %{S:3} ; do
	install -m0755  $skin %{buildroot}%{_datadir}/xmms/Skins
done
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/audacious
%{_bindir}/audtool
%{_libdir}/*.so.*
%attr(755,root,root) %{_datadir}/audacious
%attr(755,root,root) %{_datadir}/xmms/Skins
%{_datadir}/applications/*
#%{_datadir}/pixmaps/audacious2.png
%{_datadir}/icons/hicolor/48x48/apps/audacious.png
%{_datadir}/icons/hicolor/scalable/apps/audacious.svg
#%{_datadir}/pixmaps/audacious.png
#%{_datadir}/pixmaps/audacious.svg
%{_mandir}/man1/*.1.gz
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/audacious
%{_includedir}/audacious/*
%dir %{_includedir}/libaudcore
%{_includedir}/libaudcore/*.h
%dir %{_includedir}/libaudgui
%{_includedir}/libaudgui/*.h
#%{_includedir}/libaudtag/*.h
#%{_includedir}/libSAD
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
#%doc NEWS README

%changelog
* Sun Jan 05 2014 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Tue Sep 03 2013 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic update by autodist

* Sat Jun 29 2013 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Tue Dec 11 2012 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- update to 3.3.2

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Nov 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-1mamba
- update to 3.1

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Thu Jan 20 2011 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update by autodist

* Thu Dec 09 2010 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Thu Nov 11 2010 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic update by autodist

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic update by autodist

* Sun Jun 20 2010 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic update by autodist

* Fri Jan 15 2010 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- automatic rebuild by autodist

* Fri Jun 27 2008 gil <puntogil@libero.it> 1.5.1-1mamba
- update to version 1.5.1

* Mon May 12 2008 gil <puntogil@libero.it> 1.5.0-1mamba
- package created by autospec
